%define name	digikam
%define version 0.8.1
%define release 1.2006mcnl

%define major 0
%define libname %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} %{major} -d

Summary: 	Digital camera photomanager
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}.tar.bz2
Group: 		Graphics
License: 	GPL
Vendor:         Mandrivaclub.nl
Packager:       Marco Meijer <marco@mandrivaclub.nl>
URL: 		http://digikam.sourceforge.net/
Requires: 	libgphoto2 >= 2.0 
BuildRequires: 	libgphoto-devel gphoto2 fam-devel imlib2-devel automake1.7
BuildRequires:	libexif-devel libkexif-devel >= 0.2 libimlib-devel
BuildRequires:	XFree86-devel kdesdk kdelibs-devel libkipi-devel
BuildRequires:	libgdbm-devel libsqlite3_0-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Conflicts:      digikamimageplugins < %version
Conflicts:   	libdigikam0 < %version

%description
Digikam is a fine KDE interface for gphoto2.
Designed to be a standalone application to preview and download images 
from a digital camera on a linux machine.

%package -n	%{libname}
Summary:	GPhoto2 KDE3 frontend libraries
Group:		System/Libraries		
Provides:	libdigikam
Conflicts:   	digikam < %version

%description -n	%{libname}
Digikam is a fine KDE interface for gphoto2.
Designed to be a standalone application to preview and download images
from a digital camera on a linux machine.

%package -n	%{libnamedev}
Summary:	GPhoto2 KDE3 frontend libraries
Group:		System/Libraries
Provides:	libdigikam-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libnamedev}
Digikam is a fine KDE interface for gphoto2.
Designed to be a standalone application to preview and download images
from a digital camera on a linux machine.

%prep
%setup -q -n %{name}-%{version}

make -f admin/Makefile.common

%build
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%{_lib}:$KDEDIR/%{_lib}:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
        --enable-mt \
		--with-qt-dir=$QTDIR --with-qt-libraries=$QTDIR/%{_lib} \
	--mandir=%_datadir/man \
        --disable-debug --disable-rpath --libdir=%_libdir
%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}
# Create LMDK menu entries
install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl %name Multimedia/Graphics %buildroot/%_datadir/applnk/Graphics/digikam.desktop %buildroot/%_menudir/%name 
perl -pi -e 's!title="digikam"!title="Digikam"!' %buildroot/%_menudir/%name

kdedesktop2mdkmenu.pl %name Multimedia/Graphics %buildroot/%_datadir/applications/kde/showfoto.desktop %buildroot/%_menudir/showfoto

#icons
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}

%define  nameicon digikam/showfoto/pics/hi128-app-showfoto.png
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/showfoto.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/showfoto.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/showfoto.png

%define  nameicon digikam/digikam/pics/hi128-app-digikam.png
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/digikam.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/digikam.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/digikam.png

%{find_lang} %{name}
%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%_libdir/*.so.*
%_libdir/kde3/digikamimageplugin_core.la
%_libdir/kde3/digikamimageplugin_core.so

%_libdir/kde3/kio_digikamsearch.so
%_libdir/kde3/kio_digikamsearch.la
%_libdir/kde3/kio_digikamdates.so
%_libdir/kde3/kio_digikamdates.la
%_libdir/kde3/kio_digikamalbums.so
%_libdir/kde3/kio_digikamalbums.la
%_libdir/kde3/kio_digikamtags.so
%_libdir/kde3/kio_digikamtags.la
%_libdir/kde3/kio_digikamthumbnail.la
%_libdir/kde3/kio_digikamthumbnail.so


%files -n %libnamedev
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.*a
%_includedir/digikam/*
%_includedir/digikam_export.h


%files  -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%doc TODO

%_bindir/digikam
%_bindir/showfoto

%_menudir/digikam
%_menudir/showfoto

%_iconsdir/*

%_datadir/apps/digikam/*
%_datadir/apps/showfoto/*


%_docdir/HTML/*

%_datadir/applnk/Graphics/digikam.desktop
%_datadir/applications/kde/showfoto.desktop
%_datadir/apps/showfoto/showfotoui.rc
%_datadir/mimelnk/image/x-raw.desktop

%_datadir/services/*

%_datadir/servicetypes/digikamimageplugin.desktop

%changelog

* Fri Mar 17 2006 Marco Meijer <marco@mandrivaclub.nl> 0.8.1-1-2006mcnl
- new version 0.8.1

* Sat Nov 26 2005 Marco Meijer <marco@mandrivaclub.nl> 0.8.0-1-2006mcnl
- new version 0.8.0

* Sun Oct 16 2005 Marco Meijer <marco@mandrivaclub.nl> 0.7.4-1-2006mcnl
- new version 0.7.4

* Fri Jul 15 2005 Marco Meijer <marco@mandrivaclub.nl> 0.7.3-1-102mcnl
- final version 0.7.3

* Wed May 04 2005 Marco Meijer <marco@mandrivaclub.nl> 0.7.3-0beta2-101mcnl
- beta2 version 0.7.3

* Fri Apr 15 2005 Marco Meijer <marco@mandrivaclub.nl> 0.7.3-0beta1-101mcnl
- beta1 version 0.7.3

* Sat Feb 12 2005 Marco Meijer <marco@mandrivaclub.nl> 0.7.1-101mcnl
- 0.7.1 For Mandrakelinux 10.1

* Tue Jan 04 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Tue Dec 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7.1-0.beta2.4mdk
- add BuildRequires: libgdbm-devel

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7.1-0.beta2.3mdk
- use automake1.8
- wipe out buildroot in %%install, not %%prep

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta2.2mdk
- Rebuild with new libkexif

* Tue Dec 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta2.1mdk
- 0.7.2-beta2

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta1.2mdk
- Fix menu

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7.1-0.beta1.1mdk
- 0.7.1-beta1

* Mon Dec 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-2mdk
- Fix menu

* Tue Nov 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- 0.7

* Tue Nov 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-0.rc1.2mdk
- Reapply Gb fixe (sorry :( )

* Wed Nov 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-0.rc1.1mdk
- 0.7

* Tue Aug 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-3mdk
- Translate phto directory

* Thu Aug 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-2mdk
- Add patch1: fix default photo directory

* Fri Jun 18 2004 Laurent Culioli <laurent@mandrake.org> 0.6.2-1mdk
- 0.6.2
- add menu icons

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-0.rc1.3mdk
- Rebuilld

* Tue Jun 01 2004 Marcel Pol <mpol@mandrake.org> 0.6.2-0.rc1.2mdk
- buildrequires (slbd)
- drop WANT_AUTOCONF_2_5

* Tue May 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-0.rc1.1mdk
- 0.6.2-rc1

* Thu May 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Mon Feb 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6-1mdk
- 0.6

* Wed Jan 28 2004 Till Kamppeter <till@mandrakesoft.com> 0.6.0-0.2mdk
- Rebuilt.

* Wed Jan 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-0.1mdk
- libification
- from Arnaud de Villele <arnorpm@free.fr> : 
	- add BuildRequires:	libimlib1-devel
	- add BuildRequires:	libxfree86-devel
	- update source from 0.6.0 RC2 cvs snapshot 2004 01 13

* Fri Aug 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-4mdk
- from Xavier Granier <xavier.granier@laposte.net> :
	- Move menu to Multimedia/Graphics
	- add BuildRequires:            libexif7-devel


* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-3mdk
- add in-spec-menu

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- adjust buildrequires

* Wed Jul 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- from Gilles CAULIER <caulier.gilles@free.fr> :
	- Update release 0.5.0 : KDE3 port. Update spec file.

* Fri Jul 12 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.4.1-2mdk
- Fix some bugs on 'spec' file

* Mon Jul 08 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.4.1-1mdk
- Original release
